﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EduNetworkBuilder
{
    public partial class TranslationWindow : Form
    {
        Network myNet = null;
        public TranslationWindow(Network ToEdit)
        {
            InitializeComponent();
            this.KeyPreview = true;
            myNet = ToEdit;

            LocalSetup();
        }

        void LocalSetup()
        {
            string[,] LanguageChoices = NB.LanguageChoices;
            cb1Language.Items.Clear();
            cb2Language.Items.Clear();
            for (int i = 0; i < LanguageChoices.GetLength(0); i++)
            {
                cb1Language.Items.Add(LanguageChoices[i, 0]);
                cb2Language.Items.Add(LanguageChoices[i, 0]);
            }
            if (LanguageChoices.Length > 0)
                cb1Language.SelectedIndex = 0;
            if (LanguageChoices.Length > 1)
                cb1Language.SelectedIndex = 1;
            Icon = Properties.Resources.NBIco;
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Save()
        {
            Console.WriteLine("Saved");
        }

        private void TranslationWindow_KeyDown(object sender, KeyEventArgs e)
        {
            if(e.Modifiers == Keys.Control && e.KeyCode == Keys.S)
            {
                //ctrl-s was pressed
                Save();
            }
        }
    }
}
